﻿"use strict";

var config = require('../config');
var log = require('../util/log');

/**
 * 执行查询
 */
exports.execQuery = function(pool, options) {
	pool.getConnection(function(err, connection) {
		// 查询参数
		var sql = options['sql'];
		var args = options['args'];
		var handler = options['handler'];
		
		if(err) {
			log.error('db-getConnection err:' + err);
			handler(err, 'db-getConnection');
			return;
		}

		// 执行查询
		if (!args) {
			var query = connection.query(sql, function(err, results) {
				if(err) {
					log.error('db-query err:' + err);
					handler(err, results);
					return;
				}

				// 处理结果
				handler(err, results);
			});
		}else {
			var query = connection.query(sql, args, function(err, results) {
				if(err) {
					log.error('db-query err:' + err);
					handler(err, results);
					return;
				}

				// 处理结果
				handler(err, results);
			});
		}

		// 返回连接池
		connection.release(function(err) {
			if(error) {
				log.error('db-release err:' + err);
			}
		});
	});
};